Range-v3 Range algorithms, views, and actions for the Standard Library |

Instances and minimal complete definitions | Public Member Functions | Static Public Member Functions | List of all members
ranges::join_view< Rng > Struct Template Reference
Views

## Public Member Functions
constexpr Rng | base () const
| join_view (Rng rng)
constexpr auto | size ()

## Static Public Member Functions
static constexpr auto | size () -> std::size_t

## Member Function Documentation

## ◆ size()

template<typename Rng >

constexpr auto ranges::join_view< Rng >::size | ( |  | ) |
| constexpr

Precondition
  requires `(detail::join_cardinality<Rng>() < 0) && (range_cardinality<Rng>::value >= 0) && forward_range<Rng> && sized_range<range_reference_t<Rng>>`